VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "InfoDocument"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Public volume_ As String
Public volumeNo_ As Long
Public book_ As String
Public bookNo_ As Long
Public document_ As String

Public Function Init(theDoc As Word.Document)
  document_ = theDoc.Name
  document_ = Left(document_, IIf(InStr(document_, ".") - 1 < 0, 0, InStr(document_, ".") - 1))
  
  Dim rFind As Word.Range
  Set rFind = theDoc.Sections(1).Range
  With rFind.Find
    .Text = " "
    .Format = True
    .MatchCase = False
    ' .Style = "_  "
  End With
  If rFind.Find.Execute Then
    Set rFind = rFind.Next(wdWord, 1)
    bookNo_ = CLng(rFind.Text)
    
    Call rFind.MoveEndUntil(CSET_SLETTERS & CSET_BLETTERS, wdForward)
    rFind.Start = rFind.End
    Call rFind.MoveEndUntil(Chr(13), wdForward)
    book_ = rFind
  End If
  
  Set rFind = theDoc.Sections(1).Range
  With rFind.Find
    .Text = " "
    .Format = True
    .MatchCase = False
    ' .Style = "_  "
  End With
  If rFind.Find.Execute Then
    Set rFind = rFind.Next(wdWord, 1)
    volumeNo_ = CLng(rFind.Text)
    
    Call rFind.MoveEndUntil(CSET_SLETTERS & CSET_BLETTERS, wdForward)
    rFind.Start = rFind.End
    Call rFind.MoveEndUntil(Chr(13))
    volume_ = rFind
  End If
End Function

Public Function IsValidNames() As Boolean
  IsValidNames = volume_ <> "" And book_ <> ""
End Function

Public Property Get BookText() As String
  BookText = " " & Trim(Str(bookNo_)) & ". " & book_
End Property

Public Property Get VolumeText() As String
  VolumeText = " " & Trim(Str(volumeNo_)) & ". " & volume_
End Property
